<html lang="en">
<head>
<title>Association Lists - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Predicates.html#Predicates" title="Predicates">
<link rel="next" href="Introspection.html#Introspection" title="Introspection">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Association-Lists"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Introspection.html#Introspection">Introspection</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Predicates.html#Predicates">Predicates</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<h2 class="chapter">9 Association Lists</h2>

<p>Lisp offers the concept of association lists, with primitives such as
<code>assoc</code> used to access them.  Eieio provides a few such functions
to help with using lists of objects easily.

<div class="defun">
&mdash; Function: <b>object-assoc</b><var> key slot list<a name="index-object_002dassoc-51"></a></var><br>
<blockquote><p>Returns the first object in <var>list</var> for which <var>key</var> is in
<var>slot</var>. 
</p></blockquote></div>

<div class="defun">
&mdash; Function: <b>object-assoc-list</b><var> slot list<a name="index-object_002dassoc_002dlist-52"></a></var><br>
<blockquote><p>Return an association list generated by extracting <var>slot</var> from all
objects in <var>list</var>.  For each element of <var>list</var> the <code>car</code> is
the value of <var>slot</var>, and the <code>cdr</code> is the object it was
extracted from.  This is useful for generating completion tables. 
</p></blockquote></div>

<div class="defun">
&mdash; Function: <b>eieio-build-class-alist</b><var> &amp;optional base-class<a name="index-eieio_002dbuild_002dclass_002dalist-53"></a></var><br>
<blockquote><p>Returns an alist of all currently defined classes.  This alist is
suitable for completion lists used by interactive functions to select a
class.  The optional argument <var>base-class</var> allows the programmer to
select only a subset of classes to choose from should it prove
necessary. 
</p></blockquote></div>

   </body></html>

